
Katello - Bug #4646

Host Groups: No longer able to access and assign activation keys to a group

03/13/2014 11:51 AM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Several changes made in both Foreman and Katello have broken the ability to assign Katello activation keys to Foreman host

groups.

e.g.

Changes to Foreman's _form.html.erb caused the defacing that includes the activation keys form to silently fail.

Removal of the Katello V1 API routes and old tupane UI caused the form to no longer be functional once defacing was corrected.

Associated revisions

Revision 7cbce94d - 03/13/2014 11:55 AM - Brad Buckingham

Fixes #4646: hostgroup-akeys: fix regressions with activation keys on hostgroups page

This commit fixes a few small regressions with the activation keys

on the host groups page.

1. update so that activation keys pane will be correctly included

within the host group page

2. update the activation keys controller to support requests by

environment

3. update the activation keys pane to use the v2 api (since v1

was removed)

4. update cross-linking to take the user to the nutupane

activation keys

Note: additional changes will be needed for the products associated

with activation keys to be listed correctly.

Revision 2c8896eb - 03/13/2014 12:21 PM - Brad Buckingham

Merge pull request #3807 from bbuckingham/fix-hostgroup-akey

Fixes #4646: hostgroup-akeys: fix regressions with activation keys on hostgroups page

History

#1 - 03/13/2014 12:52 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:7cbce94dd2cb28a7d43e9091e29f56ee70697b4d.

#2 - 06/06/2014 01:40 PM - Eric Helms

- Triaged set to Yes

#3 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13
